GET /builds/{job_id}
Get a build
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
job_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Build | BuildResponse |
403 | scope_missing (build:read) | |
404 | build_not_found |
Examples
curl
curl -X GET "$GALON_API_BASE/builds/<job_id>" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.builds.get("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.builds.get("<id>")